require 'sinatra'

get '/' do
  'Hello, world!'
end

get '/abc' do
  'ABC'
end

get '/def' do
  'DEF'
end

get '/hello/:name' do
  name = params['name']
  "Hello, #{name}!"
end

get '/say/:some/to/:name' do
  "Computer says #{params['some']} to #{params['name']}"
end
