class Student
  attr_reader :group_name
  attr_reader :name
  attr_reader :surname

  def initialize(name, surname, group_name)
    @name = name.to_s
    @surname = surname.to_s
    @group_name = group_name.to_s
  end

  def check_fields
    errors = []
    errors.append('Имя студента не может быть пустым!') if @name.empty?
    errors.append('Фамилия студента не может быть пустым!') if @surname.empty?
    errors.append('Группа студента не может быть пустым!') if @group_name.empty?
    errors
  end

  def full_name
    "#{@name} #{@surname}"
  end
end